png++: png::info Class Reference

png++ 0.2.9

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
png::info Class Reference

Holds information about PNG image. Adapter class for IO image operations. More...

`#include <info.hpp>`

Inheritance diagram for png::info:

## Public Member Functions
| info (io_base &io, png_struct *png)
void | read ()
void | write () const
void | update ()
Public Member Functions inherited from png::info_base
| info_base (io_base &io, png_struct *png)
png_info * | get_png_info () const
png_info ** | get_png_info_ptr ()
Public Member Functions inherited from png::image_info
| image_info ()
| Constructs the image_info object with default values for color_type, interlace_type, compression_method and filter_type. More...
uint_32 | get_width () const
void | set_width (uint_32 width)
uint_32 | get_height () const
void | set_height (uint_32 height)
color_type | get_color_type () const
void | set_color_type (color_type color_space)
int | get_bit_depth () const
void | set_bit_depth (int bit_depth)
interlace_type | get_interlace_type () const
void | set_interlace_type (interlace_type interlace)
compression_type | get_compression_type () const
void | set_compression_type (compression_type compression)
filter_type | get_filter_type () const
void | set_filter_type (filter_type filter)
palette const & | get_palette () const
palette & | get_palette ()
void | set_palette (palette const &plte)
void | drop_palette ()
| Removes all entries from the palette. More...
tRNS const & | get_tRNS () const
tRNS & | get_tRNS ()
void | set_tRNS (tRNS const &trns)
double | get_gamma () const
void | set_gamma (double gamma)

## Protected Member Functions
void | sync_ihdr (void) const

## Additional Inherited Members
Protected Attributes inherited from png::info_base
io_base & | m_io
png_struct * | m_png
png_info * | m_info
Protected Attributes inherited from png::image_info
uint_32 | m_width
uint_32 | m_height
int | m_bit_depth
color_type | m_color_type
interlace_type | m_interlace_type
compression_type | m_compression_type
filter_type | m_filter_type
palette | m_palette
tRNS | m_tRNS
double | m_gamma

## Detailed Description

Holds information about PNG image. Adapter class for IO image operations.

## Constructor & Destructor Documentation

png::info::info | ( | io_base & | io,
|  | png_struct * | png
| ) |  |
| inline

## Member Function Documentation

void png::info::read | ( |  | ) |
| inline

References png::chunk_gAMA, png::chunk_PLTE, png::chunk_tRNS, png::color_type_palette, png::image_info::m_bit_depth, png::image_info::m_color_type, png::image_info::m_compression_type, png::image_info::m_filter_type, png::image_info::m_gamma, png::image_info::m_height, png::info_base::m_info, png::image_info::m_interlace_type, png::image_info::m_palette, png::info_base::m_png, png::image_info::m_tRNS, and png::image_info::m_width.

Referenced by png::reader< istream >::read_info().

void png::info::write | ( |  | ) | const
| inline

References png::color_type_palette, png::image_info::m_color_type, png::image_info::m_gamma, png::info_base::m_info, png::image_info::m_palette, png::info_base::m_png, png::image_info::m_tRNS, and sync_ihdr().

Referenced by png::writer< ostream >::write_info().

void png::info::update | ( |  | ) |
| inline

References png::info_base::m_info, png::info_base::m_png, and sync_ihdr().

Referenced by png::reader< istream >::update_info().

void png::info::sync_ihdr | ( | void |  | ) | const
| inlineprotected

References png::image_info::m_bit_depth, png::image_info::m_color_type, png::image_info::m_compression_type, png::image_info::m_filter_type, png::image_info::m_height, png::info_base::m_info, png::image_info::m_interlace_type, png::info_base::m_png, and png::image_info::m_width.

Referenced by update(), and write().

The documentation for this class was generated from the following file:

- info.hpp